#ifndef SCROLLBAR_H
#define SCROLLBAR_H


#include "Widget.h"
#include "utils.h"

class Scrollbar : public Widget
{

	protected:
		int state;
		char * caption;
		int nb;
		char value;

	public:
		Scrollbar();
		~Scrollbar();
		void setState(int s);
	int getState();
	void setValue(char v);
	char getValue();

	void setCaption(char * c,int n);
	int getCaption(char * c);
	void draw();
	int isOver(int mousex,int mousey);
	void print();
};
#endif
